Index: OMCompiler/Compiler/Template/CodegenC.tpl
===================================================================
--- OMCompiler/Compiler/Template/CodegenC.tpl	(revision None)
+++ OMCompiler/Compiler/Template/CodegenC.tpl	(revision None)
@@ -4645,6 +4645,5 @@
     const char *<%symbolName(modelNamePrefix,"linear_model_frame")%>()
     {
-      return "model linear_<%underscorePath(name)%>\n  parameter Integer n = <%varInfo.numStateVars%> \"number of states\";\n  parameter Integer m = <%varInfo.numInVars%> \"number of inputs\";\n  parameter Integer p = <%varInfo.numOutVars%> \"number of outputs\";\n"
-      "\n"
+      return "model linearized_model \"<%modelNamePrefix%>\" \n  parameter Integer n = <%varInfo.numStateVars%> \"number of states\";\n  parameter Integer m = <%varInfo.numInVars%> \"number of inputs\";\n  parameter Integer p = <%varInfo.numOutVars%> \"number of outputs\";\n"
       "  parameter Real x0[n] = %s;\n"
       "  parameter Real u0[m] = %s;\n"
@@ -4662,10 +4661,9 @@
       <%getVarName(vars.inputVars, "u")%>
       <%getVarName(vars.outputVars, "y")%>
-      "equation\n  der(x) = A * x + B * u;\n  y = C * x + D * u;\nend linear_<%underscorePath(name)%>;\n";
+      "equation\n  der(x) = A * x + B * u;\n  y = C * x + D * u;\nend linearized_model;\n";
     }
     const char *<%symbolName(modelNamePrefix,"linear_model_datarecovery_frame")%>()
     {
-      return "model linear_<%underscorePath(name)%>\n  parameter Integer n = <%varInfo.numStateVars%> \"number of states\";\n  parameter Integer m = <%varInfo.numInVars%> \"number of inputs\";\n  parameter Integer p = <%varInfo.numOutVars%> \"number of outputs\";\n  parameter Integer nz = <%varInfo.numAlgVars%> \"data recovery variables\";\n"
-      "\n"
+      return "model linearized_model \"<%modelNamePrefix%>\" \n parameter Integer n = <%varInfo.numStateVars%> \"number of states\";\n  parameter Integer m = <%varInfo.numInVars%> \"number of inputs\";\n  parameter Integer p = <%varInfo.numOutVars%> \"number of outputs\";\n  parameter Integer nz = <%varInfo.numAlgVars%> \"data recovery variables\";\n"
       "  parameter Real x0[<%varInfo.numStateVars%>] = %s;\n"
       "  parameter Real u0[<%varInfo.numInVars%>] = %s;\n"
@@ -4688,5 +4686,5 @@
       <%getVarName(vars.outputVars, "y")%>
       <%getVarName(vars.algVars, "z")%>
-      "equation\n  der(x) = A * x + B * u;\n  y = C * x + D * u;\n  z = Cz * x + Dz * u;\nend linear_<%underscorePath(name)%>;\n";
+      "equation\n  der(x) = A * x + B * u;\n  y = C * x + D * u;\n  z = Cz * x + Dz * u;\nend linearized_model;\n";
     }
     >>
@@ -4707,5 +4705,6 @@
     const char *<%symbolName(modelNamePrefix,"linear_model_frame")%>()
     {
-      return "function [sys, x0, u0, n, m, p] = <%symbolName(modelNamePrefix,"GetLinearModel")%>()\n"
+      return "function [sys, x0, u0, n, m, p, Ts] = linearized_model()\n"
+      "%% <%modelNamePrefix%>\n"
       "%% der(x) = A * x + B * u\n%% y = C * x + D * u\n"
       "  n = <%varInfo.numStateVars%>; %% number of states\n  m = <%varInfo.numInVars%>; %% number of inputs\n  p = <%varInfo.numOutVars%>; %% number of outputs\n"
@@ -4720,5 +4719,5 @@
       "  Ts = %g; %% stop time\n\n"
       "  %% The Control System Toolbox is required for this. Alternatively just return the matrices A,B,C,D instead.\n"
-      "  sys = ss(A,B,C,D,Ts,'StateName',{<%getVarNameMatlab(vars.stateVars, "x")%>}, 'InputName',{<%getVarNameMatlab(vars.inputVars, "u")%>}, 'OutputName', {<%getVarNameMatlab(vars.outputVars, "y")%>});\n"
+      "  sys = ss(A,B,C,D,'StateName',{<%getVarNameMatlab(vars.stateVars, "x")%>}, 'InputName',{<%getVarNameMatlab(vars.inputVars, "u")%>}, 'OutputName', {<%getVarNameMatlab(vars.outputVars, "y")%>});\n"
       "end";
     }
@@ -4745,5 +4744,6 @@
     const char *<%symbolName(modelNamePrefix,"linear_model_frame")%>()
     {
-      return "function <%symbolName(modelNamePrefix,"GetLinearModel")%>()\n"
+      return "function linearized_model()\n"
+      "#= <%modelNamePrefix%> =#\n"
       "#= der(x) = A * x + B * u =#\n#= y = C * x + D * u =#\n"
       "  local n = <%varInfo.numStateVars%> #= number of states =#\n  local m = <%varInfo.numInVars%> #= number of inputs =#\n  local p = <%varInfo.numOutVars%> #= number of outputs =#\n"
@@ -4785,5 +4785,6 @@
     const char *<%symbolName(modelNamePrefix,"linear_model_frame")%>()
     {
-      return "def <%symbolName(modelNamePrefix,"GetLinearModel")%>()\n"
+      return "def linearized_model()\n"
+      "# <%modelNamePrefix%>\n"
       "# der(x) = A * x + B * u \n# y = C * x + D * u \n"
       "  n = <%varInfo.numStateVars%> # number of states\n  m = <%varInfo.numInVars%> # number of inputs\n  p = <%varInfo.numOutVars%> # number of outputs\n"
Index: OMCompiler/SimulationRuntime/c/linearization/linearize.cpp
===================================================================
--- OMCompiler/SimulationRuntime/c/linearization/linearize.cpp	(revision None)
+++ OMCompiler/SimulationRuntime/c/linearization/linearize.cpp	(revision None)
@@ -591,43 +591,9 @@
       case OMC_LINEARIZE_DUMP_LANGUAGE_PYTHON: ext = ".py";  break;
     }
-  /* Use the result file name rather than the model name so that the linear file name can be changed with the -r flag, however strip _res.mat from the filename */
-  filename = string(data->modelData->resultFileName) + string(ext);
-	pos = filename.rfind("_res.mat");
-	if (pos != std::string::npos)
-	{
-      // not found, use the modelFilePrefix
-	  filename = string(data->modelData->modelFilePrefix) + string(ext);
-	}
-	else
-	{
-      filename = filename.substr(0, pos) + string(ext);
-	}
-#if defined(__MINGW32__) || defined(_MSC_VER)
-    pos1 = filename.rfind('\\');
-	pos2 = filename.rfind('/');
-	if (pos1 < pos2)
-	{
-      pos = pos2;
-	}
-	else
-	{
-      pos = pos1;
-	}
-    if(pos >= filename.length()) {
-      filename = "linear_" + filename;
-    }else{
-      filename.replace(pos, 1, "/linear_");
-    }
-#else
-    if(filename.rfind('/') >= filename.length()) {
-      filename = "linear_" + filename;
-    }else{
-      filename.replace(filename.rfind('/'), 1, "/linear_");
-    }
-#endif
+    /* ticket #5927: Don't use the model name to prevent bad names for certain languages. */
+    filename = "linearized_model" + string(ext);
 
     FILE *fout = omc_fopen(filename.c_str(),"wb");
     assertStreamPrint(threadData,0!=fout,"Cannot open File %s",filename.c_str());
-
 
     if(do_data_recovery > 0){
@@ -639,4 +605,5 @@
       infoStreamPrint(LOG_STATS, 0, data->callback->linear_model_frame(), strX.c_str(), strU.c_str(), strA.c_str(), strB.c_str(), strC.c_str(), strD.c_str(), (double) data->simulationInfo->stopTime);
     }
+
     fflush(fout);
     fclose(fout);
Index: testsuite/openmodelica/linearization/linmodel.mos
===================================================================
--- testsuite/openmodelica/linearization/linmodel.mos	(revision None)
+++ testsuite/openmodelica/linearization/linmodel.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: linearization, linear model
 // status:   correct
-// teardown_command: rm -rf linearmodel.* linearmodel_* output.log linear_linearmodel.* linear_linearmodel_* linear_linearmodel linearmodel
-// 
+// teardown_command: rm -rf linearmodel.* linearmodel_* output.log linearized_model.* linearized_model_* linearized_model linearmodel
+//
 //  Case for linearization of VanDerPol model
 //
@@ -12,13 +12,13 @@
 linearize(linearmodel, stopTime=0);
 getErrorString();
-loadFile("linear_linearmodel.mo");
-list(linear_linearmodel);
-simulate(linear_linearmodel);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_linearmodel.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
 
-// 
+//
 //  Case for numeric linearization of VanDerPol model
 //
@@ -26,9 +26,9 @@
 simulate(linearmodel, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_linearmodel.mo");
-list(linear_linearmodel);
-simulate(linear_linearmodel);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_linearmodel.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -48,5 +48,5 @@
 // "
 // true
-// "model linear_linearmodel
+// "model linearized_model \"linearmodel\"
 //   parameter Integer n = 4 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -68,8 +68,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_linearmodel;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_linearmodel_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_linearmodel', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -95,5 +95,5 @@
 // "
 // true
-// "model linear_linearmodel
+// "model linearized_model \"linearmodel\"
 //   parameter Integer n = 4 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -121,8 +121,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_linearmodel;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_linearmodel_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_linearmodel', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/simLotkaVolterra.mos
===================================================================
--- testsuite/openmodelica/linearization/simLotkaVolterra.mos	(revision None)
+++ testsuite/openmodelica/linearization/simLotkaVolterra.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: LotkaVolterra, linearization
 // status:   correct
-// teardown_command: rm -rf LotkaVolterra.* LotkaVolterra_* output.log linear_LotkaVolterra.* linear_LotkaVolterra_* linear_LotkaVolterra LotkaVolterra
-// 
+// teardown_command: rm -rf LotkaVolterra.* LotkaVolterra_* output.log linearized_model.* linearized_model_* linearized_model LotkaVolterra
+//
 //  Case for linearization of LotkaVolterra model
 //
@@ -12,13 +12,13 @@
 linearize(LotkaVolterra, stopTime=0);
 getErrorString();
-loadFile("linear_LotkaVolterra.mo");
-list(linear_LotkaVolterra);
-simulate(linear_LotkaVolterra);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_LotkaVolterra.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
@@ -26,9 +26,9 @@
 simulate(LotkaVolterra, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_LotkaVolterra.mo");
-list(linear_LotkaVolterra);
-simulate(linear_LotkaVolterra);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_LotkaVolterra.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -48,5 +48,5 @@
 // "
 // true
-// "model linear_LotkaVolterra
+// "model linearized_model \"LotkaVolterra\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -66,8 +66,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_LotkaVolterra;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_LotkaVolterra_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_LotkaVolterra', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -93,5 +93,5 @@
 // "
 // true
-// "model linear_LotkaVolterra
+// "model linearized_model \"LotkaVolterra\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -117,8 +117,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_LotkaVolterra;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_LotkaVolterra_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_LotkaVolterra', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/simNonlinear.mos
===================================================================
--- testsuite/openmodelica/linearization/simNonlinear.mos	(revision None)
+++ testsuite/openmodelica/linearization/simNonlinear.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: nonlinsys, linearization
 // status:   correct
-// teardown_command: rm -rf p.nonlinsys.* p.nonlinsys_* output.log linear_p_nonlinsys.* linear_p.nonlinsys.mo linear_p_nonlinsys_* linear_p_nonlinsys p.nonlinsys
-// 
+// teardown_command: rm -rf p.nonlinsys.* p.nonlinsys_* output.log linearized_model.* linearized_model.mo linearized_model_* linearized_model p.nonlinsys
+//
 //  Case for linearization of nonlinsys model
 //
@@ -13,13 +13,13 @@
 linearize(p.nonlinsys, stopTime=0);
 getErrorString();
-loadFile("linear_p.nonlinsys.mo");
-list(linear_p_nonlinsys);
-simulate(linear_p_nonlinsys);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_p_nonlinsys.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
 
-// 
+//
 //  Case for numeric linearization of nonlinsys model
 //
@@ -27,9 +27,9 @@
 simulate(p.nonlinsys, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_p.nonlinsys.mo");
-list(linear_p_nonlinsys);
-simulate(linear_p_nonlinsys);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_p_nonlinsys.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -49,5 +49,5 @@
 // "
 // true
-// "model linear_p_nonlinsys
+// "model linearized_model \"p_nonlinsys\"
 //   parameter Integer n = 3 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -71,8 +71,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_p_nonlinsys;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_p_nonlinsys_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_p_nonlinsys', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -98,5 +98,5 @@
 // "
 // true
-// "model linear_p_nonlinsys
+// "model linearized_model \"p_nonlinsys\"
 //   parameter Integer n = 3 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -132,8 +132,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_p_nonlinsys;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_p_nonlinsys_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_p_nonlinsys', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/simTwoTank.mos
===================================================================
--- testsuite/openmodelica/linearization/simTwoTank.mos	(revision None)
+++ testsuite/openmodelica/linearization/simTwoTank.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: twoflattankmodel, linearization
 // status:   correct
-// teardown_command: rm -rf twoflattankmodel.* twoflattankmodel_* output.log linear_twoflattankmodel.* linear_twoflattankmodel_* linear_twoflattankmodel twoflattankmodel
-// 
+// teardown_command: rm -rf twoflattankmodel.* twoflattankmodel_* output.log linearized_model.* linearized_model_* linearized_model twoflattankmodel
+//
 //  Case for linearization of twoflattankmodel model
 //
@@ -13,13 +13,13 @@
 linearize(twoflattankmodel, stopTime=0);
 getErrorString();
-loadFile("linear_twoflattankmodel.mo");
-list(linear_twoflattankmodel);
-simulate(linear_twoflattankmodel,method="dassl");
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model,method="dassl");
 getErrorString();
-readFile("linear_twoflattankmodel.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
 
-// 
+//
 //  Case for numeric linearization of twoflattankmodel model
 //
@@ -27,9 +27,9 @@
 simulate(twoflattankmodel, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_twoflattankmodel.mo");
-list(linear_twoflattankmodel);
-simulate(linear_twoflattankmodel);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_twoflattankmodel.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -49,5 +49,5 @@
 // "
 // true
-// "model linear_twoflattankmodel
+// "model linearized_model \"twoflattankmodel\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -69,8 +69,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_twoflattankmodel;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_twoflattankmodel_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_twoflattankmodel', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -96,5 +96,5 @@
 // "
 // true
-// "model linear_twoflattankmodel
+// "model linearized_model \"twoflattankmodel\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -125,8 +125,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_twoflattankmodel;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_twoflattankmodel_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_twoflattankmodel', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/simVanDerPol.mos
===================================================================
--- testsuite/openmodelica/linearization/simVanDerPol.mos	(revision None)
+++ testsuite/openmodelica/linearization/simVanDerPol.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: VanDerPol, linearization
 // status:   correct
-// teardown_command: rm -rf VanDerPol.* VanDerPol_* output.log linear_VanDerPol.* linear_VanDerPol_* linear_VanDerPol VanDerPol
-// 
+// teardown_command: rm -rf VanDerPol.* VanDerPol_* output.log linearized_model.* linearized_model_* linearized_model VanDerPol
+//
 //  Case for numeric linearization of VanDerPol model
 //
@@ -10,11 +10,11 @@
 simulate(VanDerPol, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_VanDerPol.mo");
-list(linear_VanDerPol);
-simulate(linear_VanDerPol);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_VanDerPol.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
-// 
+//
 //  Case for linearization of VanDerPol model
 //
@@ -23,9 +23,9 @@
 linearize(VanDerPol,stopTime=0);
 getErrorString();
-loadFile("linear_VanDerPol.mo");
-list(linear_VanDerPol);
-simulate(linear_VanDerPol);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_VanDerPol.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -43,5 +43,5 @@
 // "
 // true
-// "model linear_VanDerPol
+// "model linearized_model \"VanDerPol\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -67,8 +67,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_VanDerPol;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_VanDerPol_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_VanDerPol', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -93,5 +93,5 @@
 // "
 // true
-// "model linear_VanDerPol
+// "model linearized_model \"VanDerPol\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -111,8 +111,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_VanDerPol;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_VanDerPol_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_VanDerPol', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/simextfunction.mos
===================================================================
--- testsuite/openmodelica/linearization/simextfunction.mos	(revision None)
+++ testsuite/openmodelica/linearization/simextfunction.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: extfunctions, linearization
 // status:   correct
-// teardown_command: rm -rf extfunction.* extfunction_* output.log linear_extfunction.* linear_extfunction_* linear_extfunction extfunction
-// 
+// teardown_command: rm -rf extfunction.* extfunction_* output.log linearized_model.* linearized_model_* linearized_model extfunction
+//
 //  Case for numeric linearization of extfunctions model
 //
@@ -13,9 +13,9 @@
 simulate(extfunction, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_extfunction.mo");
-list(linear_extfunction);
-simulate(linear_extfunction);
-getErrorString();
-readFile("linear_extfunction.log"); // Check that output log is empty
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
+getErrorString();
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
@@ -24,34 +24,34 @@
 simulate(extfunction, simflags="-l=1 -l_datarec");
 getErrorString();
-loadFile("linear_extfunction.mo");
-list(linear_extfunction);
-simulate(linear_extfunction);
-getErrorString();
-readFile("linear_extfunction.log"); // Check that output log is empty
-
-// 
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
+getErrorString();
+readFile("linearized_model.log"); // Check that output log is empty
+
+//
 //  Case for linearization of extfunctions model
 //
 setCommandLineOptions("--generateSymbolicLinearization");
 getErrorString();
-//linearize at point in time 0 
+//linearize at point in time 0
 linearize(extfunction, stopTime=0);
 getErrorString();
-loadFile("linear_extfunction.mo");
-list(linear_extfunction);
-simulate(linear_extfunction);
-getErrorString();
-readFile("linear_extfunction.log"); // Check that output log is empty
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
+getErrorString();
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
 
-//linearize at point in time 1 
+//linearize at point in time 1
 linearize(extfunction, stopTime=1);
 getErrorString();
-loadFile("linear_extfunction.mo");
-list(linear_extfunction);
-simulate(linear_extfunction);
-getErrorString();
-readFile("linear_extfunction.log"); // Check that output log is empty
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
+getErrorString();
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -71,5 +71,5 @@
 // "
 // true
-// "model linear_extfunction
+// "model linearized_model \"extfunction\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -97,8 +97,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_extfunction;"
-// record SimulationResult
-//     resultFile = "linear_extfunction_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_extfunction', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+// end linearized_model;"
+// record SimulationResult
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -124,5 +124,5 @@
 // "
 // true
-// "model linear_extfunction
+// "model linearized_model \"extfunction\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -150,8 +150,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_extfunction;"
-// record SimulationResult
-//     resultFile = "linear_extfunction_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_extfunction', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+// end linearized_model;"
+// record SimulationResult
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -177,5 +177,5 @@
 // "
 // true
-// "model linear_extfunction
+// "model linearized_model \"extfunction\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -195,8 +195,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_extfunction;"
-// record SimulationResult
-//     resultFile = "linear_extfunction_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_extfunction', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+// end linearized_model;"
+// record SimulationResult
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -222,5 +222,5 @@
 // "
 // true
-// "model linear_extfunction
+// "model linearized_model \"extfunction\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -240,8 +240,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_extfunction;"
-// record SimulationResult
-//     resultFile = "linear_extfunction_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_extfunction', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+// end linearized_model;"
+// record SimulationResult
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/smallValues.mos
===================================================================
--- testsuite/openmodelica/linearization/smallValues.mos	(revision None)
+++ testsuite/openmodelica/linearization/smallValues.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: VanDerPolSmallValueSmallValue, linearization, small value
 // status:   correct
-// teardown_command: rm -rf VanDerPolSmallValue.* VanDerPolSmallValue_* output.log linear_VanDerPolSmallValue.* linear_VanDerPolSmallValue_* linear_VanDerPolSmallValue VanDerPolSmallValue
-// 
+// teardown_command: rm -rf VanDerPolSmallValue.* VanDerPolSmallValue_* output.log linearized_model.* linearized_model_* linearized_model VanDerPolSmallValue
+//
 //  Case for linearization of VanDerPolSmallValue model
 //
@@ -12,13 +12,13 @@
 linearize(VanDerPolSmallValue, stopTime=0);
 getErrorString();
-loadFile("linear_VanDerPolSmallValue.mo");
-list(linear_VanDerPolSmallValue);
-simulate(linear_VanDerPolSmallValue);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_VanDerPolSmallValue.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 setCommandLineOptions("--generateSymbolicLinearization=false");
 getErrorString();
 
-// 
+//
 //  Case for numeric linearization of VanDerPolSmallValue model
 //
@@ -26,9 +26,9 @@
 simulate(VanDerPolSmallValue, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_VanDerPolSmallValue.mo");
-list(linear_VanDerPolSmallValue);
-simulate(linear_VanDerPolSmallValue);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_VanDerPolSmallValue.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -48,5 +48,5 @@
 // "
 // true
-// "model linear_VanDerPolSmallValue
+// "model linearized_model \"VanDerPolSmallValue\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -66,8 +66,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_VanDerPolSmallValue;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_VanDerPolSmallValue_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_VanDerPolSmallValue', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -93,5 +93,5 @@
 // "
 // true
-// "model linear_VanDerPolSmallValue
+// "model linearized_model \"VanDerPolSmallValue\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -117,8 +117,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_VanDerPolSmallValue;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_VanDerPolSmallValue_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_VanDerPolSmallValue', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/testArrayAlg.mos
===================================================================
--- testsuite/openmodelica/linearization/testArrayAlg.mos	(revision None)
+++ testsuite/openmodelica/linearization/testArrayAlg.mos	(revision None)
@@ -2,5 +2,5 @@
 // keywords: differentiation linearization array algorithm
 // status:   correct
-// teardown_command: rm -rf ticket4545* output.log linear_ticket4545*
+// teardown_command: rm -rf ticket4545* output.log linearized_model*
 //
 //
@@ -12,6 +12,6 @@
     discrete Real u[2](each start = 0, each fixed = true);
     Real y[2];
-  equation 
-    for i in 1:2 loop 
+  equation
+    for i in 1:2 loop
       der(x[i]) = u[i]+y[i];
       y[i] = 0.5*x[i];
@@ -33,6 +33,6 @@
 linearize(ticket4545.Test_vector, stopTime=0);
 getErrorString();
-loadFile("linear_ticket4545.Test_vector.mo");
-list(linear_ticket4545_Test__vector);
+loadFile("linearized_model.mo");
+list(linearized_model);
 getErrorString();
 
@@ -55,5 +55,5 @@
 // ""
 // true
-// "model linear_ticket4545_Test__vector
+// "model linearized_model \"ticket4545_Test_vector\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -73,5 +73,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_ticket4545_Test__vector;"
+// end linearized_model;"
 // ""
 // endResult
Index: testsuite/openmodelica/linearization/testDrumBoiler.mos
===================================================================
--- testsuite/openmodelica/linearization/testDrumBoiler.mos	(revision None)
+++ testsuite/openmodelica/linearization/testDrumBoiler.mos	(revision None)
@@ -15,6 +15,6 @@
 linearize(testDrumBoilerLin, stopTime=0.0);getErrorString();
 
-loadFile("linear_testDrumBoilerLin.mo");
-list(linear_testDrumBoilerLin);
+loadFile("linearized_model.mo");
+list(linearized_model);
 
 
@@ -36,5 +36,5 @@
 // "
 // true
-// "model linear_testDrumBoilerLin
+// "model linearized_model \"testDrumBoilerLin\"
 //   parameter Integer n = 3 \"number of states\";
 //   parameter Integer m = 2 \"number of inputs\";
@@ -61,4 +61,4 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_testDrumBoilerLin;"
+// end linearized_model;"
 // endResult
Index: testsuite/openmodelica/linearization/testMathFuncs.mos
===================================================================
--- testsuite/openmodelica/linearization/testMathFuncs.mos	(revision None)
+++ testsuite/openmodelica/linearization/testMathFuncs.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: differentiation linearization
 // status:   correct
-// teardown_command: rm -rf mathFuncsTest* output.log linear_mathFuncsTest*
-//  
+// teardown_command: rm -rf mathFuncsTest* output.log linearized_model*
+//
 //
 
@@ -19,9 +19,9 @@
   r4 = ceil(x*y);
   r5 = floor(x*y);
-  r6 = integer(x*y);      
+  r6 = integer(x*y);
 end mathFuncsTest;
 ");
 
-// 
+//
 //  Case for numeric linearization of mathFuncsTest model
 //
@@ -29,9 +29,9 @@
 simulate(mathFuncsTest, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_mathFuncsTest.mo");
-list(linear_mathFuncsTest);
-simulate(linear_mathFuncsTest);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_mathFuncsTest.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Symbolically linearize
@@ -39,9 +39,9 @@
 linearize(mathFuncsTest,stopTime=0);
 getErrorString();
-loadFile("linear_mathFuncsTest.mo");
-list(linear_mathFuncsTest);
-simulate(linear_mathFuncsTest);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_mathFuncsTest.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 
@@ -60,5 +60,5 @@
 // "
 // true
-// "model linear_mathFuncsTest
+// "model linearized_model \"mathFuncsTest\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -98,8 +98,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_mathFuncsTest;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_mathFuncsTest_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_mathFuncsTest', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -124,5 +124,5 @@
 // "
 // true
-// "model linear_mathFuncsTest
+// "model linearized_model \"mathFuncsTest\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -148,8 +148,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_mathFuncsTest;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_mathFuncsTest_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_mathFuncsTest', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/testRecordDiff.mos
===================================================================
--- testsuite/openmodelica/linearization/testRecordDiff.mos	(revision None)
+++ testsuite/openmodelica/linearization/testRecordDiff.mos	(revision None)
@@ -2,5 +2,5 @@
 // keywords: differentiation linearization records
 // status:   correct
-// teardown_command: rm -rf recordDiffTest* output.log linear_recordDiffTest*
+// teardown_command: rm -rf recordDiffTest* output.log linearized_model*
 //
 //
@@ -40,6 +40,6 @@
 getErrorString();
 
-loadFile("linear_recordDiffTest.mo");
-list(linear_recordDiffTest);
+loadFile("linearized_model.mo");
+list(linearized_model);
 
 
@@ -60,5 +60,5 @@
 // "
 // true
-// "model linear_recordDiffTest
+// "model linearized_model \"recordDiffTest\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -78,4 +78,4 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_recordDiffTest;"
+// end linearized_model;"
 // endResult
Index: testsuite/openmodelica/linearization/testSortFunction.mos
===================================================================
--- testsuite/openmodelica/linearization/testSortFunction.mos	(revision None)
+++ testsuite/openmodelica/linearization/testSortFunction.mos	(revision None)
@@ -21,6 +21,6 @@
 linearize(SortTest, stopTime=1.0);getErrorString();
 
-loadFile("linear_SortTest.mo");
-list(linear_SortTest);
+loadFile("linearized_model.mo");
+list(linearized_model);
 
 
@@ -42,5 +42,5 @@
 // "
 // true
-// "model linear_SortTest
+// "model linearized_model \"SortTest\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -64,4 +64,4 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_SortTest;"
+// end linearized_model;"
 // endResult
Index: testsuite/openmodelica/linearization/testSteamPipe.mos
===================================================================
--- testsuite/openmodelica/linearization/testSteamPipe.mos	(revision None)
+++ testsuite/openmodelica/linearization/testSteamPipe.mos	(revision None)
@@ -16,6 +16,6 @@
 linearize(testSteamPipeLin, stopTime=0.0);getErrorString();
 
-loadFile("linear_testSteamPipeLin.mo");
-list(linear_testSteamPipeLin);
+loadFile("linearized_model.mo");
+list(linearized_model);
 
 
@@ -37,5 +37,5 @@
 // ""
 // true
-// "model linear_testSteamPipeLin
+// "model linearized_model \"testSteamPipeLin\"
 //   parameter Integer n = 4 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -57,4 +57,4 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_testSteamPipeLin;"
+// end linearized_model;"
 // endResult
Index: testsuite/openmodelica/linearization/test_01.mos
===================================================================
--- testsuite/openmodelica/linearization/test_01.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_01.mos	(revision None)
@@ -3,7 +3,7 @@
 // status:   correct
 // teardown_command: rm -rf *simple_test* output.log
-// 
+//
 // <insert description here>
-// 
+//
 
 loadFile("test_01.mo");
@@ -16,11 +16,11 @@
 getErrorString();
 
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, startTime=0.0, stopTime=10.0, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, startTime=0.0, stopTime=10.0, method="euler");
 getErrorString();
-readFile("linear_simple__test.log");
-list(linear_simple__test);
+readFile("linearized_model.log");
+list(linearized_model);
 
-// 
+//
 //  Case for numeric linearization
 //
@@ -28,9 +28,9 @@
 simulate(simple_test, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, startTime=0.0, stopTime=10.0, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, startTime=0.0, stopTime=10.0, method="euler");
 getErrorString();
-readFile("linear_simple__test.log");
-list(linear_simple__test);
+readFile("linearized_model.log");
+list(linearized_model);
 
 // Result:
@@ -53,6 +53,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -64,5 +64,5 @@
 // LOG_SUCCESS       | info    | The simulation finished successfully.
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -82,5 +82,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // record SimulationResult
 //     resultFile = "simple_test_res.mat",
@@ -96,6 +96,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -107,5 +107,5 @@
 // LOG_SUCCESS       | info    | The simulation finished successfully.
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -133,4 +133,4 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // endResult
Index: testsuite/openmodelica/linearization/test_02.mos
===================================================================
--- testsuite/openmodelica/linearization/test_02.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_02.mos	(revision None)
@@ -3,5 +3,5 @@
 // status:   correct
 // teardown_command: rm -rf *simple_test* output.log
-// 
+//
 // <insert description here>
 //
@@ -16,12 +16,12 @@
 getErrorString();
 
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
 
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
@@ -29,9 +29,9 @@
 simulate(simple_test, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -54,6 +54,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -62,5 +62,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -80,5 +80,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -97,6 +97,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -105,5 +105,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -129,5 +129,5 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/test_03.mos
===================================================================
--- testsuite/openmodelica/linearization/test_03.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_03.mos	(revision None)
@@ -3,5 +3,5 @@
 // status:   correct
 // teardown_command: rm -rf *simple_test* output.log
-// 
+//
 // <insert description here>
 //
@@ -16,12 +16,12 @@
 getErrorString();
 
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
 
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
@@ -29,9 +29,9 @@
 simulate(simple_test, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -54,6 +54,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -62,5 +62,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -79,5 +79,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -96,6 +96,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -104,5 +104,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -129,5 +129,5 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/test_04.mos
===================================================================
--- testsuite/openmodelica/linearization/test_04.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_04.mos	(revision None)
@@ -3,5 +3,5 @@
 // status:   correct
 // teardown_command: rm -rf *simple_test* output.log
-// 
+//
 // <insert description here>
 //
@@ -15,12 +15,12 @@
 getErrorString();
 
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test,method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model,method="euler");
 getErrorString();
 
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
@@ -28,9 +28,9 @@
 simulate(simple_test, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -53,6 +53,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -61,5 +61,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -81,5 +81,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -98,6 +98,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -106,5 +106,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
@@ -134,5 +134,5 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/test_05.mos
===================================================================
--- testsuite/openmodelica/linearization/test_05.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_05.mos	(revision None)
@@ -3,5 +3,5 @@
 // status:   correct
 // teardown_command: rm -rf *simple_test* output.log
-// 
+//
 // <insert description here>
 //
@@ -16,12 +16,12 @@
 getErrorString();
 
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
 
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
@@ -29,9 +29,9 @@
 simulate(simple_test, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, method="euler");
 getErrorString();
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model);
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -54,6 +54,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -62,5 +62,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -80,5 +80,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -97,6 +97,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -105,5 +105,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -129,5 +129,5 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/test_06.mos
===================================================================
--- testsuite/openmodelica/linearization/test_06.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_06.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: <...>
 // status:   correct
-// teardown_command: rm -rf *simple_test* output.log
-// 
+// teardown_command: rm -rf *simple_test* linearized_model* output.log
+//
 // <insert description here>
 //
@@ -9,29 +9,23 @@
 loadFile("test_06.mo");
 
-setCommandLineOptions("--generateSymbolicLinearization");
-getErrorString();
-linearize(simple_test, stopTime=0);
-getErrorString();
-setCommandLineOptions("--generateSymbolicLinearization=false");
-getErrorString();
+setCommandLineOptions("--generateSymbolicLinearization"); getErrorString();
+linearize(simple_test, stopTime=0); getErrorString();
+setCommandLineOptions("--generateSymbolicLinearization=false"); getErrorString();
 
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
-getErrorString();
+loadFile("linearized_model.mo"); getErrorString();
+simulate(linearized_model, method="euler"); getErrorString();
 
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+list(linearized_model); getErrorString();
+readFile("linearized_model.log"); getErrorString(); // Check that output log is empty
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
 //linearize with numeric linearization and data recovery
-simulate(simple_test, simflags="-l=0 -l_datarec");
-getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, method="euler");
-getErrorString();
-list(linear_simple__test);
-readFile("linear_simple__test.log"); // Check that output log is empty
+simulate(simple_test, simflags="-l=0 -l_datarec"); getErrorString();
+loadFile("linearized_model.mo"); getErrorString();
+simulate(linearized_model, method="euler"); getErrorString();
+list(linearized_model); getErrorString();
+readFile("linearized_model.log"); getErrorString(); // Check that output log is empty
 
 // Result:
@@ -54,7 +48,8 @@
 // ""
 // true
+// ""
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -63,5 +58,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -80,8 +75,10 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
+// ""
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
 // "
+// ""
 // record SimulationResult
 //     resultFile = "simple_test_res.mat",
@@ -97,7 +94,8 @@
 // "
 // true
+// ""
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -106,5 +104,5 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -132,7 +130,9 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
+// ""
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
 // "
+// ""
 // endResult
Index: testsuite/openmodelica/linearization/test_07.mos
===================================================================
--- testsuite/openmodelica/linearization/test_07.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_07.mos	(revision None)
@@ -3,7 +3,7 @@
 // status:   correct
 // teardown_command: rm -rf *simple_test* output.log
-// 
+//
 // <insert description here>
-// 
+//
 
 loadFile("test_07.mo");
@@ -16,12 +16,12 @@
 getErrorString();
 
-loadFile("linear_simple_test.mo");
+loadFile("linearized_model.mo");
 getErrorString();
-simulate(linear_simple__test, startTime=0.0, stopTime=10.0, method="euler");
+simulate(linearized_model, startTime=0.0, stopTime=10.0, method="euler");
 getErrorString();
-readFile("linear_simple__test.log");
-list(linear_simple__test);
+readFile("linearized_model.log");
+list(linearized_model);
 
-// 
+//
 //  Case for numeric linearization of LotkaVolterra model
 //
@@ -29,9 +29,9 @@
 simulate(simple_test, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_simple_test.mo");
-simulate(linear_simple__test, startTime=0.0, stopTime=10.0, method="euler");
+loadFile("linearized_model.mo");
+simulate(linearized_model, startTime=0.0, stopTime=10.0, method="euler");
 getErrorString();
-readFile("linear_simple__test.log"); // Check that output log is empty
-list(linear_simple__test);
+readFile("linearized_model.log"); // Check that output log is empty
+list(linearized_model);
 
 // Result:
@@ -55,6 +55,6 @@
 // ""
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -66,5 +66,5 @@
 // LOG_SUCCESS       | info    | The simulation finished successfully.
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -84,5 +84,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // record SimulationResult
 //     resultFile = "simple_test_res.mat",
@@ -98,6 +98,6 @@
 // true
 // record SimulationResult
-//     resultFile = "linear_simple__test_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linear_simple__test', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'euler', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -109,5 +109,5 @@
 // LOG_SUCCESS       | info    | The simulation finished successfully.
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -135,4 +135,4 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_simple__test;"
+// end linearized_model;"
 // endResult
Index: testsuite/openmodelica/linearization/test_dump_languages.mos
===================================================================
--- testsuite/openmodelica/linearization/test_dump_languages.mos	(revision None)
+++ testsuite/openmodelica/linearization/test_dump_languages.mos	(revision None)
@@ -11,17 +11,17 @@
 setCommandLineOptions("--linearizationDumpLanguage=modelica");
 linearize(simple_test, stopTime=0.5); getErrorString();
-readFile("linear_simple_test.mo"); getErrorString();
+readFile("linearized_model.mo"); getErrorString();
 
 setCommandLineOptions("--linearizationDumpLanguage=matlab");
 linearize(simple_test, stopTime=0.5); getErrorString();
-readFile("linear_simple_test.m"); getErrorString();
+readFile("linearized_model.m"); getErrorString();
 
 setCommandLineOptions("--linearizationDumpLanguage=julia");
 linearize(simple_test, stopTime=0.5); getErrorString();
-readFile("linear_simple_test.jl"); getErrorString();
+readFile("linearized_model.jl"); getErrorString();
 
 setCommandLineOptions("--linearizationDumpLanguage=python");
 linearize(simple_test, stopTime=0.5); getErrorString();
-readFile("linear_simple_test.py"); getErrorString();
+readFile("linearized_model.py"); getErrorString();
 
 // Result:
@@ -40,9 +40,8 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "model linear_simple__test
+// "model linearized_model \"simple_test\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 1 \"number of inputs\";
 //   parameter Integer p = 1 \"number of outputs\";
-//
 //   parameter Real x0[n] = {1.626558527192664, 2.380918053900121};
 //   parameter Real u0[m] = {0};
@@ -74,5 +73,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_simple__test;
+// end linearized_model;
 // "
 // ""
@@ -89,5 +88,6 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "function [sys, x0, u0, n, m, p] = simple_test_GetLinearModel()
+// "function [sys, x0, u0, n, m, p, Ts] = linearized_model()
+// % simple_test
 // % der(x) = A * x + B * u
 // % y = C * x + D * u
@@ -112,5 +112,5 @@
 //
 //   % The Control System Toolbox is required for this. Alternatively just return the matrices A,B,C,D instead.
-//   sys = ss(A,B,C,D,Ts,'StateName',{'x_num_x(1)','x_num_x(2)'}, 'InputName',{'u_u'}, 'OutputName', {'y_y'});
+//   sys = ss(A,B,C,D,'StateName',{'x_num_x(1)','x_num_x(2)'}, 'InputName',{'u_u'}, 'OutputName', {'y_y'});
 // end"
 // ""
@@ -127,5 +127,6 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "function simple_test_GetLinearModel()
+// "function linearized_model()
+// #= simple_test =#
 // #= der(x) = A * x + B * u =#
 // #= y = C * x + D * u =#
@@ -167,5 +168,6 @@
 // "Warning: The initial conditions are not fully specified. For more information set -d=initialization. In OMEdit Tools->Options->Simulation->OMCFlags, in OMNotebook call setCommandLineOptions(\"-d=initialization\").
 // "
-// "def simple_test_GetLinearModel()
+// "def linearized_model()
+// # simple_test
 // # der(x) = A * x + B * u
 // # y = C * x + D * u
Index: testsuite/openmodelica/linearization/testknownvar.mos
===================================================================
--- testsuite/openmodelica/linearization/testknownvar.mos	(revision None)
+++ testsuite/openmodelica/linearization/testknownvar.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: linearization, Jacobian
 // status:   correct
-// teardown_command: rm -rf TestKV* linear_TestKV* output.log
-// 
+// teardown_command: rm -rf TestKV* linearized_model* output.log
+//
 //  Case for generating Jacobian for symstem with more simply equations
 //  test for Bugfixe
@@ -19,11 +19,11 @@
 getErrorString();
 
-loadFile("linear_TestKV.mo");
-list(linear_TestKV);
-simulate(linear_TestKV);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_TestKV.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
-// 
+//
 //  Case for numeric linearization of TestKV model
 //
@@ -31,9 +31,9 @@
 simulate(TestKV, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_TestKV.mo");
-list(linear_TestKV);
-simulate(linear_TestKV);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_TestKV.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Result:
@@ -55,5 +55,5 @@
 // ""
 // true
-// "model linear_TestKV
+// "model linearized_model \"TestKV\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -72,8 +72,8 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_TestKV;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_TestKV_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_TestKV', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -97,5 +97,5 @@
 // "
 // true
-// "model linear_TestKV
+// "model linearized_model \"TestKV\"
 //   parameter Integer n = 1 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -121,8 +121,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_TestKV;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_TestKV_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_TestKV', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
Index: testsuite/openmodelica/linearization/ticket3701.mos
===================================================================
--- testsuite/openmodelica/linearization/ticket3701.mos	(revision None)
+++ testsuite/openmodelica/linearization/ticket3701.mos	(revision None)
@@ -2,6 +2,6 @@
 // keywords: differentiation partial functions matrix argument
 // status:   correct
-// teardown_command: rm -rf A* output.log linear_A*
-//  
+// teardown_command: rm -rf A* output.log linearized_model*
+//
 //
 
@@ -31,5 +31,5 @@
 getErrorString();
 
-// 
+//
 //  Case for numeric linearization
 //
@@ -37,9 +37,9 @@
 simulate(A, simflags="-l=0 -l_datarec");
 getErrorString();
-loadFile("linear_A.mo");
-list(linear_A);
-simulate(linear_A);
+loadFile("linearized_model.mo");
+list(linearized_model);
+simulate(linearized_model);
 getErrorString();
-readFile("linear_A.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 // Symbolically linearize
@@ -47,8 +47,8 @@
 linearize(A,stopTime=0);
 getErrorString();
-loadFile("linear_A.mo");
-list(linear_A);
+loadFile("linearized_model.mo");
+list(linearized_model);
 getErrorString();
-readFile("linear_A.log"); // Check that output log is empty
+readFile("linearized_model.log"); // Check that output log is empty
 
 
@@ -68,5 +68,5 @@
 // "
 // true
-// "model linear_A
+// "model linearized_model \"A\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -95,8 +95,8 @@
 //   y = C * x + D * u;
 //   z = Cz * x + Dz * u;
-// end linear_A;"
+// end linearized_model;"
 // record SimulationResult
-//     resultFile = "linear_A_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linear_A', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
+//     resultFile = "linearized_model_res.mat",
+//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'linearized_model', options = '', outputFormat = 'mat', variableFilter = '.*', cflags = '', simflags = ''",
 //     messages = "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
 // LOG_SUCCESS       | info    | The simulation finished successfully.
@@ -121,5 +121,5 @@
 // "
 // true
-// "model linear_A
+// "model linearized_model \"A\"
 //   parameter Integer n = 2 \"number of states\";
 //   parameter Integer m = 0 \"number of inputs\";
@@ -139,5 +139,5 @@
 //   der(x) = A * x + B * u;
 //   y = C * x + D * u;
-// end linear_A;"
+// end linearized_model;"
 // ""
 // "LOG_SUCCESS       | info    | The initialization finished successfully without homotopy method.
Index: testsuite/partest/runtest.pl
===================================================================
--- testsuite/partest/runtest.pl	(revision None)
+++ testsuite/partest/runtest.pl	(revision None)
@@ -147,5 +147,5 @@
     elsif (/setup_command.*\s(.*\.c)/) { make_link($1); }
     elsif (/depends: *([A-Za-z0-9_.-]*)/) { make_link($1); }
-    elsif (/loadFile.*\(\"linear_simple_test\.mo\"\)/) {}
+    elsif (/loadFile.*\(\"linearized_model\.mo\"\)/) {}
     elsif (/loadFile.*\(\"(.*)\"\)/)   { make_link($1); }
     elsif (/runScript.*\(\"(.*)\"\)/)  { make_link($1); }
@@ -242,5 +242,5 @@
     $nfailed = 1;
     $time = $2;
-  }  
+  }
   elsif(/.*time: (\d*)/) {
     $nfailed = 0;
@@ -342,3 +342,2 @@
   exit $time;
 }
-
